Bug 202318 - Review Request: perl-Scalar-Properties - Run-time properties on scalar variables
Review Request: perl-Scalar-Properties - Run-time properties on scalar variables
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 202319
  Show dependency treegraph
 
Reported: 2006-08-12 14:56 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-16 10:33:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-08-12 14:56:17 EDT
Spec URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Scalar-Properties.spec

SRPM URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Scalar-Properties-0.12-1.src.rpm

Description:
Scalar::Properties attempts to make Perl more object-oriented by
taking an idea from Ruby: Everything you manipulate is an object,
and the results of those manipulations are objects themselves.
Comment 1 Chris Weyl 2006-08-14 22:16:11 EDT
Everything looks good.

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible.  License text not included upstream.
+ source files match upstream:
 19aefcff9043f8645d42f0bbe8c39d18  Scalar-Properties-0.12.tar.gz
 19aefcff9043f8645d42f0bbe8c39d18  Scalar-Properties-0.12.tar.gz.srpm
+ latest version is being packaged.
+ BuildRequires are proper.
+ package builds in mock (5/x86_64).
+ rpmlint is silent.
+ final provides and requires are sane:
 == provides
 perl(Scalar::Properties) = 0.12
 perl-Scalar-Properties = 0.12-1.fc5
 == requires
 perl(:MODULE_COMPAT_5.8.8)
 perl(strict)
 perl(warnings)
+ no shared libraries are present.
+ package is not relocatable.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ %clean is present.
+ %check is present and all tests pass:
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.
+ not a web app.

APPROVED
Comment 2 Jose Pedro Oliveira 2006-08-16 10:33:05 EDT
Thanks for the review.

Imported and built for FC-5 and devel.

Note You need to log in before you can comment on or make changes to this bug.